#ifndef __MOD_TIDY_H__
#define __MOD_TIDY_H__

/* mod_tidy.h -- Defines mod_tidy API headers.

  (c) 2005 Sierk Bornemann
  See mod_tidy.c for the copyright notice.


  SVN Info:

    $Author: bornemann $ 
    $Date: 2006-01-12 22:47:25 +0100 (Thu, 12 Jan 2006) $ 
    $Revision: 96 $ 

*/

#ifdef __cplusplus
extern "C" {
#endif

/* TidyLib headers */
#include "tidy.h"

/* mod_tidy memory management */
void  TIDY_CALL mod_tidy_FatalError( ctmbstr msg );
void* TIDY_CALL mod_tidy_MemAlloc( size_t size );
void  TIDY_CALL mod_tidy_MemFree( void *mem );
void* TIDY_CALL mod_tidy_MemRealloc( void *mem, size_t newsize );

module AP_MODULE_DECLARE_DATA tidy_module;

typedef struct {
	apr_table_t* tidyoptions;
} mod_tidy_config; 

typedef struct mod_tidy_struct {
    apr_bucket_brigade *bb;
	apr_bucket_alloc_t *ba;
	ap_filter_t *f;
	
	TidyDoc	tidyDoc;
	TidyBuffer errbuf;
	TidyBuffer htmlbuf;
} mod_tidy_struct;

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* __MOD_TIDY_H__ */
